Launcher pointer barrier is bidirectional

Bug #929991 reported by Chris Halse Rogers on 2012-02-10
92
This bug affects 36 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Stewart Wilson
Unity
Invalid
Medium
Chris Halse Rogers
unity (Ubuntu)
Medium
Chris Halse Rogers

Bug Description

The pointer barrier that Unity sets up on the screen edge for the launcher is bidirectional - it blocks movement both left-to-right (which is obviously intended, as that's the launcher reveal mechanism), but also right-to-left.

The Unity should pass BarrierPositiveX to the CreatePointerBarrierVelocity call to make it transparent to left→right motion.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.2.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-15.24-generic 3.2.5
Uname: Linux 3.2.0-15-generic x86_64
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,regex,imgpng,place,animation,expo,grid,mousepoll,session,snap,vpswitch,wall,workarounds,unitymtgrabhandles,resize,gnomecompat,move,fade,scale,ezoom,unityshell]
Date: Fri Feb 10 17:58:29 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120128)
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Chris Halse Rogers (raof) wrote :
David Barth (dbarth) on 2012-02-15
Changed in unity:
status: New → In Progress
Changed in unity (Ubuntu):
status: New → In Progress
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
milestone: none → 5.6.0
Changed in unity (Ubuntu):
milestone: none → ubuntu-12.04-beta-1
Changed in unity:
assignee: Marco Trevisan (Treviño) (3v1n0) → Chris Halse Rogers (raof)
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
David Barth (dbarth) wrote :

Thanks for the patch Chris! :)

Changed in unity (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
Chris Halse Rogers (raof) wrote :

It might be good to talk to Design about this - I've been told on IRC that the bidirectional barrier is a deliberate design choice to prevent the feeling of the pointer getting trapped on the right display if you're trying to hit a target on the edge of the left display and overshoot slightly.

David Barth (dbarth) wrote :

Ok, noted. I've signaled the issue on the ayatana-design project.

Changed in unity:
status: In Progress → Incomplete
Changed in unity (Ubuntu):
status: In Progress → Incomplete
Stewart Wilson (stewartw) wrote :

The bi-directional cursor hold is the desired behaviour.

To fully qualify this: There are two holds at the display edge to overcome when travelling from right to left, the first to trigger the launcher reveal, and the second which allows the mouse to pass the edge. It is this second hold which is also present when moving from left to right, to support targeting items near the edges of the display. For full details, please refer to the section Launcher-Targeting the Launcher in the multi-monitor spec:
https://docs.google.com/a/canonical.com/document/d/1aHvJ-iIw-59bXTYBmIhQqEx0za2h9jpFE_RhZ2VOvJc/edit?pli=1#bookmark=id.cnyokdebno5y

Changed in ayatana-design:
assignee: nobody → Stewart Wilson (stewartw)
status: New → Won't Fix
Chris Halse Rogers (raof) wrote :

Closing as invalid; this is by design (and, after playing around with a unidirectional barrier for a day or so, I can see why).

Changed in unity (Ubuntu):
status: Incomplete → Opinion
status: Opinion → Invalid
Changed in unity:
status: Incomplete → Invalid
Robert Hooker (sarvatt) on 2012-02-23
Changed in unity (Ubuntu):
milestone: ubuntu-12.04-beta-1 → none
heckle (hangeles1) wrote :

is there any chance that we end users could turn off the unity bar on the second monitor? i'm not sure what the ubuntu devs intend to do with it, but for now, it makes for a frustrating experience.

the top bar, or the dock?

On Wed, Nov 21, 2012 at 2:40 PM, heckle <email address hidden> wrote:

> is there any chance that we end users could turn off the unity bar on
> the second monitor? i'm not sure what the ubuntu devs intend to do with
> it, but for now, it makes for a frustrating experience.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (946602).
> https://bugs.launchpad.net/bugs/929991
>
> Title:
> Launcher pointer barrier is bidirectional
>
> Status in Ayatana Design:
> Won't Fix
> Status in Unity:
> Invalid
> Status in “unity” package in Ubuntu:
> Invalid
>
> Bug description:
> The pointer barrier that Unity sets up on the screen edge for the
> launcher is bidirectional - it blocks movement both left-to-right
> (which is obviously intended, as that's the launcher reveal
> mechanism), but also right-to-left.
>
> The Unity should pass BarrierPositiveX to the
> CreatePointerBarrierVelocity call to make it transparent to left→right
> motion.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.2.0-0ubuntu3
> ProcVersionSignature: Ubuntu 3.2.0-15.24-generic 3.2.5
> Uname: Linux 3.2.0-15-generic x86_64
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,compiztoolbox,regex,imgpng,place,animation,expo,grid,mousepoll,session,snap,vpswitch,wall,workarounds,unitymtgrabhandles,resize,gnomecompat,move,fade,scale,ezoom,unityshell]
> Date: Fri Feb 10 17:58:29 2012
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20120128)
> SourcePackage: unity
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/929991/+subscriptions
>

dimovnike (dimovnike) wrote :

HI, i have the opposite problem - how to enable this on 15.04 ? (it ignores the sticky edges settings in displays, also it ignores the speed setting in compiz unity plugin)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers